#include "ix2list.h"
#include <QHBoxLayout>
#include "ix2delegate.h"
#include <QDebug>

ix2List::ix2List(QWidget *parent) :
    QWidget(parent)
{
    view = new QListView();
    view->setEditTriggers(QAbstractItemView::NoEditTriggers);

    ix2Delegate* itemDelegate = new ix2Delegate(view);

    view->setItemDelegate(itemDelegate);
    view->setModel(&model);

    QHBoxLayout* mainLayout = new QHBoxLayout(this);
    mainLayout->addWidget(view);

    QStandardItem* item = new QStandardItem;
    item->setText("FIRST ROW");

    QStandardItem* item1 = new QStandardItem;
    item1->setText("SECOND ROW");


    QStandardItem* item2 = new QStandardItem;
    item2->setText("THIRD ROW");

    model.appendRow(item);
    model.appendRow(item1);
    model.appendRow(item2);
}

